# Search contact by identifier

{% openapi src="<https://global--openapi-specs--637323691990--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>" path="/workspaces/{workspaceId}/contacts/search" method="post" %}
<https://global--openapi-specs--637323691990--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>
{% endopenapi %}

## Examples

{% tabs %}
{% tab title="Request" %}

```bash
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/search" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \
-d '{
  "identifier": {
    "key": "emailaddress",
    "value": "contacts@bird.com"
  }
}'
```

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
  "results": [
    {
      "id": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
      "computedDisplayName": "John",
      "featuredIdentifiers": [
        {
          "key": "emailaddress",
          "value": "contacts@bird.com"
        }
      ],
      "identifierCount": 1,
      "attributes": {
        "emailaddress": [
          "contacts@bird.com"
        ],
        "firstName": "John",
        "initialReference": "32d6f4f9-7e9c-4271-bd83-9d6976808f2f",
        "lastName": "Doe",
        "timezone": "America/Sao_Paulo",
        "countryCode": null
      },
      "listIds": [
        "12bd0e40-9361-4e32-8b26-99b4ab7eae09"
      ],
      "createdAt": "2024-11-26T15:00:00.000Z",
      "updatedAt": "2024-11-26T15:00:00.000Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}
